footer {
    display: flex;
    justify-content: center;
    background-color: #ffffff;
}

div#footer {
    width: 100vw !important;
    max-width: 100% !important;
}

.footer_box {
    width: 100%;
    background-color: #ffffff;
}

/*分割线*/
hr {
    border-top: 3px solid rgba(0, 0, 0, 0.1);
    border-color: #004991;
}

/*底部外部链接*/
.btn-Primary.dropdown-toggle::after {
    margin-left: 35px;
}

.footer-middle .ewm {
    margin: auto;
    justify-content: space-between;
    height: 160px;
}

.footer-middle .ewm div {
    padding: 0;
    flex: 0 0 24%;
}

.footer-middle .ewm div img {
    width: 100%;
    height: 100%;
}

.footer-middle .wblj {
    margin: auto;
    height: auto;
}

.footer-middle .wblj .col-xl {
    background-color: #b1caed00;
    padding: 0;
}

.footer-middle .wblj .col-xl .btn-group {
    width: 100%;
    height: 100%;
}

.footer-middle .wblj .col-xl .btn-group .btn {
    width: 100%;
    box-shadow: none;
}

.footer-middle .wblj .col-xl .btn-group .dropdown-toggle::after {
    transform: rotate(180deg);
}

.footer-middle .wblj .col-xl .btn-group .dropdown-menu {
    width: 100%;
}

.footer-middle .xtp img {
    vertical-align: middle;
    border-style: none;
}

.footer-middle .xtp .row {
    align-items: center;
}

.footer-middle .xtp {
    display: flex;
    justify-content: center;
}

.footer-middle .xtp .wza_ico2 {
    width: 110px;
    height: 55px;
}

.col-xl-8.offset-xl-3 {
    margin-left: 0 !important;
}

.col-xl-3.col-3:nth-of-type(1) {
    display: flex;
    justify-content: center;
}

.row div.col-xl-3.col-3:nth-of-type(2) .img-fluid {
    width: auto;
    height: auto;
    border: 1px solid #e7e7e7;
}

.footer-middle .yshj-bgc {
    background-color: #073c8a;
    color: #fff;
    height: 100%;
}

.footer-middle .yshj-bgc .ys-title p {
    margin: 0;
}

.footer-middle .yshj-bgc .ys-ewm {
    display: flex;
    justify-content: space-evenly;
    height: initial;
}

.footer-middle .yshj-bgc .ys-ewm a {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.footer-middle .yshj-bgc .ys-ewm img {
    width: 80px;
    height: 80px;
}

.footer-middle .yshj-bgc .ys-ewm span {
    color: #fff;
}

/*底部网站信息*/
.footer-bottom .row {
    margin: auto;
    margin-top: 10px;
}

.footer-bottom p {
    margin: 0;
    width: 100%;
}

.footer-bottom .text-center {
    color: #666;
}

.footer-bottom .text-center a {
    color: #666;
}

.footer-bottom .text-center a.icp {
    background: url(gh.jpg) no-repeat 0 center;
    padding-left: 24px;
    margin-left: 8px;
}

/* 底部下拉框 */

.dropup select {
    position: relative;
}

.bottom-text {
    margin-bottom: 15px !important;
}

select {
    width: 96%;
    border: none;
    border: 1px solid #dddddd;
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    background-color: #fff;
    padding: 8px 30px 8px 10px;
    border: 1px solid #ccc;
    border-radius: 2px;
    font-size: 16px;
    background-image: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="10" height="6"><polygon points="0,0 10,0 5,6"/></svg>');
    background-repeat: no-repeat;
    background-position: right 16px center;
    cursor: pointer;
}

/* 调整下拉列表的位置，实现向上展开 */
.dropup select {
    position: relative;
}

.dropup select:focus+.dropdown-menu {
    top: auto;
    bottom: 100%;
    display: block;
}

.dropdown-menu {
    display: none;
    position: absolute;
    background-color: #fff;
    border: 1px solid #ccc;
    border-radius: 4px;
    z-index: 1;
}

.dropdown-menu option {
    padding: 8px 10px;
    cursor: pointer;
}

.dropdown-menu option:hover {
    background-color: #f0f0f0;
}

/* 适配1200px以下情况 */
@media (max-width: 1200px) {
    .footer-middle .xtp .wza_ico2 {
        height: auto;
        margin-left: 10px;
    }

    .xtp>.col-xl-3.col-3 {
        display: flex;
        justify-content: center;
    }

    select {
        width: 100% !important;
    }

    .col-xl-3.col-3 {
        padding-left: 0 !important;
        padding-right: 0 !important;
    }
}

@media (max-width: 921px) {
    .row.d-flex.ewm {
        display: none !important;
    }

    .col-xl.d-none.d-sm-block {
        display: block !important;
    }

}

@media (max-width: 501px) {
    .col-xl-8.offset-xl-3 {
        padding-left: 0px;
    }

    .col-xl-3.col-3 {
        padding-left: 10px;
        padding-right: 10px;
    }
}

@media (max-width: 425px) {
    .row.d-flex.ewm {
        display: none !important;
    }

    .col-xl.d-none.d-sm-block {
        display: block !important;
    }

}

@media (max-width: 397px) {
    .col-xl-8.offset-xl-3{
        display: none;
    }

}

/* 适老化适配 */
body.useOldFixed .footer-middle .ewm div img:not(.skipAutoFix) {
    height: 100% !important;
    max-height: 160px;
}